# Bulk update credential lists for a trunk

Update the list of credential list entries for a trunk.

Endpoint: PUT /v1/projects/{projectId}/trunks/{trunkId}/credentialLists
Version: 1.0.0
Security: Basic, OAuth2.0

## Security:

  - `Basic` (unknown)
    http basic

  - `OAuth2.0` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The `projectId` is a required parameter you must include when making any API calls. You can find your project ID on your [Build dashboard](https://dashboard.sinch.com).

  - `trunkId` (string, required)
    The ID of the trunk that you want to work with

## Response 200:

  - `200` (unknown)
    The list of credential list entries

## Response 200 fields (application/json):

  - `credentialListIds` (array)
    Array of credential list IDs

